# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(JSON.pm) perl(LWP/UserAgent.pm) perl(Moo.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define module_version 0.02
%define module_name WWW-PlCloud
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.02
Release: alt1
Summary: The great new WWW::PlCloud!
Group: Development/Perl
License: artistic_2
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/M/MC/MCCHEUNG/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
.O'.'..a' API SDK,
.'u.''.''.a'.ae.a'.'a.'E.''.'a.'e, .''.I'.'O.''.
.'..A'.'' API .'...U.''.e':
http://docs.plcloud.com/api/list.html

.O'.iU.'v.u':

  #!/usr/bin/env perl

  use strict;
  use warnings;
  use Data::Dumper;
  use PlCloud;

  my $pc = PlCloud->new( user => 'user_name', pass => 'password' );
  $pc->login();

  #
  # ..o.''.'OAPI.O'.iU.'v.u'
  $pc->run_api( 'GetUsageLimits' );

  # .aI.''.'OAPI.O'.iU.'v.u'
  $pc->run_api( 'GetUsageLimits', obj_id => 789, port_id => 'x' );


.'O.''.'e.''.''API.Yi.''.'O.'O.'A.'E.'a.''.'a.'u STDOUT
%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/W*

%changelog
* Mon Oct 12 2015 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1
- initial import by package builder

